Bug 170205 - hang when boot unless acpi=off
hang when boot unless acpi=off
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-10-08 20:04 EDT by Peter Barker
Modified: 2015-01-04 17:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 01:17:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Barker 2005-10-08 20:04:02 EDT
From Bugzilla Helper:
User-Agent: Opera/8.5 (X11; Linux i686; U; en)

Description of problem:
I have a Dell Inspiron 5150. It boots OK with kernel 2.6.11-1.1369_FC4smp, but does 
not boot with latest release 2.6.13-1.1526_FC4smp
Unless boot with acpi=off, system freezes. Screen shows (may not be exact, as copied 
manually):
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
    ACPI-0304: *** Error: Looking up [SMIX] in namespace AE_ALREADY_EXISTS
    ACPI-1172: *** Error: Method execution failed [\_PR_.CPU0._PDC] (Node c15d7640), 
AE_ALREADY_EXISTS
Then 2 similar errors for [GETC] on CPU1
ACPI: CPU0 (power state C1[C1])
ACPI: CPU1 (power state C1[C1])
ACPI: processor [CPU0] (supports 8 throttling states)
ACPI: processor [CPU1] (supports 8 throttling states)
ACPI: Thermal Zone [THM] (44 c)
isapnp: Scanning for PnP cards
isapnp: No Plug & Play device found

System then freezes (power off required)


With 2.6.11-1.1369_FC4smp:
# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Mobile Intel(R) Pentium(R) 4     CPU 3.06GHz
stepping        : 9
cpu MHz         : 3057.068
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 3162.82

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Mobile Intel(R) Pentium(R) 4     CPU 3.06GHz
stepping        : 9
cpu MHz         : 3057.068
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 3162.82

This may be similar to bug 155794, but he had problems with all version of FC4, and is 
a different mother board.

Version-Release number of selected component (if applicable):
kernel 2.6.13-1.1526_FC4smp

How reproducible:
Always

Steps to Reproduce:
1.Boot
2.
3.
  

Actual Results:  System froze

Additional info:

adding acpi=off to kernel boot line allows normal boot
ACPI boot worked with 2.6.11-1.1369_FC4smp
Comment 1 Igor A 2005-10-17 22:22:45 EDT
I have the same problem with my Shuttle XPC SB95P V2 with P4 with EMT64 3.2 GHz
CPU running FC4 x86_64. Please let me know if you need any information about my
hardware config.
Comment 2 Peter Barker 2005-10-20 22:55:16 EDT
The problem appears to be the same with kernel 2.6.13-1.1532_FC4smp
Comment 3 Igor A 2005-10-20 23:44:45 EDT
Still similar problem but my system seems to freez up after bringing the NIC. 
The kernel the works for me without acpi=off is 2.6.12-1.1456_FC4smp.
Please see the messages file bellow:

Oct 20 16:15:56 odin syslogd 1.4.1: restart.
Oct 20 16:15:57 odin kernel: klogd 1.4.1, log source = /proc/kmsg started.
Oct 20 16:15:57 odin kernel: Bootdata ok (command line is ro root=LABEL=/ rhgb
quiet)
Oct 20 16:15:57 odin kernel: Linux version 2.6.13-1.1532_FC4smp
(bhcompile@hs20-bc1-1.build.redhat.com) (gcc version 4.0.1 20050727 (Red Hat
4.0.1-5)) #1 SMP Thu Oct 20 01:42:06 EDT 2005
Oct 20 16:15:57 odin kernel: BIOS-provided physical RAM map:
Oct 20 16:15:57 odin kernel:  BIOS-e820: 0000000000000000 - 000000000009f400
(usable)
Oct 20 16:15:57 odin kernel:  BIOS-e820: 000000000009f400 - 00000000000a0000
(reserved)
Oct 20 16:15:57 odin kernel:  BIOS-e820: 00000000000f0000 - 0000000000100000
(reserved)
Oct 20 16:15:57 odin kernel:  BIOS-e820: 0000000000100000 - 000000003fff0000
(usable)
Oct 20 16:15:57 odin kernel:  BIOS-e820: 000000003fff0000 - 000000003fff3000
(ACPI NVS)
Oct 20 16:15:57 odin kernel:  BIOS-e820: 000000003fff3000 - 0000000040000000
(ACPI data)
Oct 20 16:15:57 odin kernel:  BIOS-e820: 00000000e0000000 - 00000000f0000000
(reserved)
Oct 20 16:15:57 odin kernel:  BIOS-e820: 00000000fec00000 - 0000000100000000
(reserved)
Oct 20 16:15:57 odin rpc.statd[1892]: Version 1.0.7 Starting
Oct 20 16:15:57 odin kernel: No NUMA configuration found
Oct 20 16:15:57 odin kernel: Faking a node at 0000000000000000-000000003fff0000
Oct 20 16:15:57 odin kernel: Bootmem setup node 0 0000000000000000-000000003fff0000
Oct 20 16:15:57 odin kernel: ACPI: PM-Timer IO Port: 0x408
Oct 20 16:15:57 odin kernel: ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Oct 20 16:15:57 odin kernel: Processor #0 15:4 APIC version 16
Oct 20 16:15:57 odin kernel: ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Oct 20 16:15:57 odin kernel: Processor #1 15:4 APIC version 16
Oct 20 16:15:57 odin kernel: ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] disabled)
Oct 20 16:15:57 odin kernel: ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] disabled)
Oct 20 16:15:57 odin kernel: ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
Oct 20 16:15:57 odin kernel: ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
Oct 20 16:15:57 odin kernel: ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
Oct 20 16:15:57 odin kernel: ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
Oct 20 16:15:57 odin kernel: ACPI: IOAPIC (id[0x04] address[0xfec00000] gsi_base[0])
Oct 20 16:15:57 odin kernel: IOAPIC[0]: apic_id 4, version 32, address
0xfec00000, GSI 0-23
Oct 20 16:15:57 odin kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl
dfl)
Oct 20 16:15:57 odin kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9
high level)
Oct 20 16:15:57 odin auditd[1906]: Init complete, auditd 1.0.4 listening for events
Oct 20 16:15:57 odin kernel: Setting APIC routing to flat
Oct 20 16:15:57 odin kernel: Using ACPI (MADT) for SMP configuration information
Oct 20 16:15:57 odin kernel: Allocating PCI resources starting at 40000000 (gap:
40000000:a0000000)
Oct 20 16:15:57 odin kernel: Checking aperture...
Oct 20 16:15:57 odin kernel: Built 1 zonelists
Oct 20 16:15:57 odin kernel: Kernel command line: ro root=LABEL=/ rhgb quiet
Oct 20 16:15:58 odin kernel: Initializing CPU#0
Oct 20 16:15:58 odin kernel: PID hash table entries: 4096 (order: 12, 131072 bytes)
Oct 20 16:15:58 odin kernel: time.c: Using 3.579545 MHz PM timer.
Oct 20 16:15:58 odin kernel: time.c: Detected 3214.590 MHz processor.
Oct 20 16:15:58 odin kernel: Console: colour VGA+ 80x25
Oct 20 16:15:58 odin kernel: Dentry cache hash table entries: 262144 (order: 9,
2097152 bytes)
Oct 20 16:15:58 odin kernel: Inode-cache hash table entries: 131072 (order: 8,
1048576 bytes)
Oct 20 16:15:58 odin kernel: Memory: 1023848k/1048512k available (2307k kernel
code, 0k reserved, 1348k data, 216k init)
Oct 20 16:15:58 odin kernel: Calibrating delay using timer specific routine..
6438.92 BogoMIPS (lpj=12877843)
Oct 20 16:15:58 odin kernel: Security Framework v1.0.0 initialized
Oct 20 16:15:58 odin kernel: SELinux:  Initializing.
Oct 20 16:15:58 odin kernel: SELinux:  Starting in permissive mode
Oct 20 16:15:58 odin kernel: selinux_register_security:  Registering secondary
module capability
Oct 20 16:15:58 odin kernel: Capability LSM initialized as secondary
Oct 20 16:15:58 odin kernel: Mount-cache hash table entries: 256
Oct 20 16:15:58 odin kernel: CPU: Trace cache: 12K uops, L1 D cache: 16K
Oct 20 16:15:58 odin kernel: CPU: L2 cache: 2048K
Oct 20 16:15:58 odin kernel: using mwait in idle threads.
Oct 20 16:15:58 odin kernel: CPU: Physical Processor ID: 0
Oct 20 16:15:58 odin kernel: CPU0: Thermal monitoring enabled (TM1)
Oct 20 16:15:58 odin kernel: mtrr: v2.0 (20020519)
Oct 20 16:15:58 odin kernel: Using local APIC timer interrupts.
Oct 20 16:15:58 odin kernel: Detected 12.556 MHz APIC timer.
Oct 20 16:15:58 odin kernel: Booting processor 1/2 APIC 0x1
Oct 20 16:15:58 odin kernel: Initializing CPU#1
Oct 20 16:15:58 odin kernel: Calibrating delay using timer specific routine..
6429.15 BogoMIPS (lpj=12858305)
Oct 20 16:15:58 odin kernel: CPU: Trace cache: 12K uops, L1 D cache: 16K
Oct 20 16:15:58 odin kernel: CPU: L2 cache: 2048K
Oct 20 16:15:58 odin kernel: CPU: Physical Processor ID: 0
Oct 20 16:15:58 odin kernel: CPU1: Thermal monitoring enabled (TM1)
Oct 20 16:15:58 odin kernel:               Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping 03
Oct 20 16:15:58 odin kernel: CPU 1: Syncing TSC to CPU 0.
Oct 20 16:15:58 odin kernel: CPU 1: synchronized TSC with CPU 0 (last diff -5
cycles, maxerr 784 cycles)
Oct 20 16:15:58 odin kernel: Brought up 2 CPUs
Oct 20 16:15:58 odin kernel: time.c: Using PIT/TSC based timekeeping.
Oct 20 16:15:58 odin kernel: testing NMI watchdog ... OK.
Oct 20 16:15:58 odin kernel: checking if image is initramfs... it is
Oct 20 16:15:58 odin kernel: NET: Registered protocol family 16
Oct 20 16:15:58 odin kernel: ACPI: bus type pci registered
Oct 20 16:15:58 odin kernel: PCI: Using configuration type 1
Oct 20 16:15:58 odin kernel: PCI: Using MMCONFIG at e0000000
Oct 20 16:15:58 odin kernel: ACPI: Subsystem revision 20050408
Oct 20 16:15:58 odin kernel: ACPI: Interpreter enabled
Oct 20 16:15:58 odin kernel: ACPI: Using IOAPIC for interrupt routing
Oct 20 16:15:58 odin kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Oct 20 16:15:58 odin kernel: PCI: Probing PCI hardware (bus 00)
Oct 20 16:15:58 odin kernel: ACPI: Assume root bridge [\_SB_.PCI0] segment is 0
Oct 20 16:15:58 odin kernel: PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
Oct 20 16:15:58 odin kernel: PCI: Transparent bridge - 0000:00:1e.0
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 7 9 *10
11 12 14 15)
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 7 9 10
11 12 14 15) *0, disabled.
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 7 9 10
11 12 14 15)
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 7 9 10
*11 12 14 15)
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 7 9 10
11 12 14 15) *0, disabled.
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 7 9 10
11 12 14 15) *0, disabled.
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt Link [LNK0] (IRQs 3 4 5 7 9 10
11 12 14 15) *0, disabled.
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt Link [LNK1] (IRQs *3 4 5 7 9 10
11 12 14 15)
Oct 20 16:15:58 odin kernel: Linux Plug and Play Support v0.97 (c) Adam Belay
Oct 20 16:15:58 odin kernel: pnp: PnP ACPI init
Oct 20 16:15:58 odin kernel: pnp: PnP ACPI: found 14 devices
Oct 20 16:15:58 odin kernel: usbcore: registered new driver usbfs
Oct 20 16:15:58 odin kernel: usbcore: registered new driver hub
Oct 20 16:15:58 odin kernel: PCI: Using ACPI for IRQ routing
Oct 20 16:15:58 odin kernel: PCI: If a device doesn't work, try "pci=routeirq".
 If it helps, post a report
Oct 20 16:15:58 odin kernel: PCI-DMA: Disabling IOMMU.
Oct 20 16:15:58 odin kernel: pnp: 00:0a: ioport range 0x400-0x4bf could not be
reserved
Oct 20 16:15:58 odin kernel: PCI: Bridge: 0000:00:01.0
Oct 20 16:15:58 odin kernel:   IO window: disabled.
Oct 20 16:15:58 odin kernel:   MEM window: c8000000-d7ffffff
Oct 20 16:15:58 odin kernel:   PREFETCH window: 40000000-400fffff
Oct 20 16:15:58 odin kernel: PCI: Bridge: 0000:00:1c.0
Oct 20 16:15:58 odin kernel:   IO window: disabled.
Oct 20 16:15:58 odin kernel:   MEM window: d8000000-d80fffff
Oct 20 16:15:58 odin kernel:   PREFETCH window: 40100000-401fffff
Oct 20 16:15:58 odin kernel: PCI: Bridge: 0000:00:1e.0
Oct 20 16:15:58 odin kernel:   IO window: d000-dfff
Oct 20 16:15:58 odin kernel:   MEM window: d8100000-d81fffff
Oct 20 16:15:58 odin kernel:   PREFETCH window: disabled.
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16
(level, low) -> IRQ 169
Oct 20 16:15:58 odin kernel: ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16
(level, low) -> IRQ 169
Oct 20 16:15:58 odin kernel: IA32 emulation $Id: sys_ia32.c,v 1.32 2002/03/24
13:02:28 ak Exp $
Oct 20 16:15:59 odin kernel: audit: initializing netlink socket (disabled)
Oct 20 16:15:59 odin kernel: audit(1129824931.484:1): initialized
Oct 20 16:15:59 odin kernel: Total HugeTLB memory allocated, 0
Oct 20 16:15:59 odin kernel: VFS: Disk quotas dquot_6.5.1
Oct 20 16:15:59 odin kernel: Dquot-cache hash table entries: 512 (order 0, 4096
bytes)
Oct 20 16:15:59 odin kernel: SELinux:  Registering netfilter hooks
Oct 20 16:15:59 odin kernel: Initializing Cryptographic API
Oct 20 16:15:59 odin kernel: ksign: Installing public key data
Oct 20 16:15:59 odin kernel: Loading keyring
Oct 20 16:15:59 odin kernel: - Added public key 4CA3DD2BBE3A14C6
Oct 20 16:15:59 odin kernel: - User ID: Red Hat, Inc. (Kernel Module GPG key)
Oct 20 16:15:59 odin kernel: pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Oct 20 16:15:59 odin kernel: ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16
(level, low) -> IRQ 169
Oct 20 16:15:59 odin kernel: assign_interrupt_mode Found MSI capability
Oct 20 16:15:59 odin kernel: ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16
(level, low) -> IRQ 169
Oct 20 16:15:59 odin kernel: assign_interrupt_mode Found MSI capability
Oct 20 16:15:59 odin kernel: ACPI: Fan [FAN] (on)
Oct 20 16:15:59 odin kernel: ACPI: CPU0 (power states: C1[C1])
Oct 20 16:15:59 odin kernel: ACPI: CPU1 (power states: C1[C1])
Oct 20 16:15:59 odin kernel: ACPI: Thermal Zone [THRM] (42 C)
Oct 20 16:15:59 odin kernel: Real Time Clock Driver v1.12
Oct 20 16:15:59 odin kernel: Linux agpgart interface v0.101 (c) Dave Jones
Oct 20 16:15:59 odin kernel: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at
0x60,0x64 irq 1,12
Oct 20 16:15:59 odin kernel: serio: i8042 AUX port at 0x60,0x64 irq 12
Oct 20 16:15:59 odin kernel: serio: i8042 KBD port at 0x60,0x64 irq 1
Oct 20 16:15:59 odin kernel: Serial: 8250/16550 driver $Revision: 1.90 $ 32
ports, IRQ sharing enabled
Oct 20 16:15:59 odin kernel: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Oct 20 16:15:59 odin kernel: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Oct 20 16:15:59 odin kernel: io scheduler noop registered
Oct 20 16:15:59 odin kernel: io scheduler anticipatory registered
Oct 20 16:15:59 odin kernel: io scheduler deadline registered
Oct 20 16:15:59 odin kernel: io scheduler cfq registered
Oct 20 16:15:59 odin kernel: RAMDISK driver initialized: 16 RAM disks of 16384K
size 1024 blocksize
Oct 20 16:15:59 odin kernel: Uniform Multi-Platform E-IDE driver Revision:
7.00alpha2
Oct 20 16:15:59 odin kernel: ide: Assuming 33MHz system bus speed for PIO modes;
override with idebus=xx
Oct 20 16:15:59 odin kernel: ICH6: IDE controller at PCI slot 0000:00:1f.1
Oct 20 16:15:59 odin kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18
(level, low) -> IRQ 201
Oct 20 16:15:59 odin kernel: ICH6: chipset revision 4
Oct 20 16:15:59 odin kernel: ICH6: not 100% native mode: will probe irqs later
Oct 20 16:15:59 odin kernel:     ide0: BM-DMA at 0xf000-0xf007, BIOS settings:
hda:DMA, hdb:pio
Oct 20 16:15:59 odin kernel:     ide1: BM-DMA at 0xf008-0xf00f, BIOS settings:
hdc:pio, hdd:pio
Oct 20 16:15:59 odin kernel: hda: LITE-ON DVDRW SOHW-1673S, ATAPI CD/DVD-ROM drive
Oct 20 16:15:59 odin kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Oct 20 16:15:59 odin kernel: hda: ATAPI 48X DVD-ROM DVD-R CD-R/RW drive, 2048kB
Cache, UDMA(33)
Oct 20 16:15:59 odin kernel: Uniform CD-ROM driver Revision: 3.20
Oct 20 16:15:59 odin kernel: ide-floppy driver 0.99.newide
Oct 20 16:15:59 odin kernel: usbcore: registered new driver hiddev
Oct 20 16:15:59 odin kernel: usbcore: registered new driver usbhid
Oct 20 16:15:59 odin kernel: drivers/usb/input/hid-core.c: v2.01:USB HID core driver
Oct 20 16:15:59 odin kernel: mice: PS/2 mouse device common for all mice
Oct 20 16:15:59 odin kernel: md: md driver 0.90.2 MAX_MD_DEVS=256, MD_SB_DISKS=27
Oct 20 16:15:59 odin kernel: md: bitmap version 3.38
Oct 20 16:15:59 odin kernel: NET: Registered protocol family 2
Oct 20 16:15:59 odin kernel: input: AT Translated Set 2 keyboard on isa0060/serio0
Oct 20 16:15:59 odin kernel: IP route cache hash table entries: 65536 (order: 7,
524288 bytes)
Oct 20 16:15:59 odin kernel: TCP established hash table entries: 262144 (order:
10, 4194304 bytes)
Oct 20 16:15:59 odin kernel: TCP bind hash table entries: 65536 (order: 8,
1048576 bytes)
Oct 20 16:15:59 odin kernel: TCP: Hash tables configured (established 262144
bind 65536)
Oct 20 16:15:59 odin kernel: TCP reno registered
Oct 20 16:15:59 odin kernel: TCP bic registered
Oct 20 16:15:59 odin kernel: Initializing IPsec netlink socket
Oct 20 16:15:59 odin kernel: NET: Registered protocol family 1
Oct 20 16:15:59 odin kernel: NET: Registered protocol family 17
Oct 20 16:15:59 odin kernel: Freeing unused kernel memory: 216k freed
Oct 20 16:15:59 odin kernel: SCSI subsystem initialized
Oct 20 16:15:59 odin kernel: ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19
(level, low) -> IRQ 209
Oct 20 16:15:59 odin kernel: ata1: SATA max UDMA/133 cmd 0xE400 ctl 0xE502 bmdma
0xE800 irq 209
Oct 20 16:15:59 odin kernel: ata2: SATA max UDMA/133 cmd 0xE600 ctl 0xE702 bmdma
0xE808 irq 209
Oct 20 16:15:59 odin kernel: logips2pp: Detected unknown logitech mouse model 66
Oct 20 16:15:59 odin kernel: ata1: dev 0 ATA, max UDMA/133, 490234752 sectors: lba48
Oct 20 16:15:59 odin kernel: ata1: dev 0 configured for UDMA/133
Oct 20 16:15:59 odin kernel: scsi0 : ata_piix
Oct 20 16:15:59 odin kernel: input: ImExPS/2 Logitech Explorer Mouse on
isa0060/serio1
Oct 20 16:15:59 odin kernel: ATA: abnormal status 0x7F on port 0xE607
Oct 20 16:15:59 odin kernel: ata2: disabling port
Oct 20 16:15:59 odin kernel: scsi1 : ata_piix
Oct 20 16:15:59 odin kernel:   Vendor: ATA       Model: Maxtor 7B250S0    Rev: BANC
Oct 20 16:15:59 odin kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 05
Oct 20 16:15:59 odin kernel: SCSI device sda: 490234752 512-byte hdwr sectors
(251000 MB)
Oct 20 16:15:59 odin kernel: SCSI device sda: drive cache: write back
Oct 20 16:15:59 odin kernel: SCSI device sda: 490234752 512-byte hdwr sectors
(251000 MB)
Oct 20 16:15:59 odin kernel: SCSI device sda: drive cache: write back
Oct 20 16:15:59 odin kernel:  sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 >
Oct 20 16:15:59 odin kernel: Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
Oct 20 16:15:59 odin kernel: kjournald starting.  Commit interval 5 seconds
Oct 20 16:15:59 odin kernel: EXT3-fs: mounted filesystem with ordered data mode.
Oct 20 16:16:00 odin kernel: SELinux:  Disabled at runtime.
Oct 20 16:16:00 odin kernel: SELinux:  Unregistering netfilter hooks
Oct 20 16:16:00 odin kernel: Floppy drive(s): fd0 is 1.44M
Oct 20 16:16:00 odin kernel: FDC 0 is a post-1991 82077
Oct 20 16:16:00 odin kernel: tg3.c:v3.37 (August 25, 2005)
Oct 20 16:16:00 odin kernel: ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16
(level, low) -> IRQ 169
Oct 20 16:16:00 odin kernel: eth0: Tigon3 [partno(BCM95751) rev 4001 PHY(5750)]
(PCIX:100MHz:32-bit) 10/100/1000BaseT Ethernet 00:30:1b:b7:6d:24
Oct 20 16:16:00 odin kernel: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0]
Split[0] WireSpeed[1] TSOcap[1] 
Oct 20 16:16:00 odin kernel: eth0: dma_rwctrl[76180000]
Oct 20 16:16:00 odin kernel: ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 16
(level, low) -> IRQ 169
Oct 20 16:16:00 odin kernel: hda_codec: Unknown model for ALC880, trying
auto-probe from BIOS...
Oct 20 16:16:00 odin kernel: hda_codec: Cannot set up configuration from BIOS. 
Using 3-stack mode...
Oct 20 16:16:00 odin kernel: hw_random: RNG not detected
Oct 20 16:16:00 odin kernel: shpchp: Standard Hot Plug PCI Controller Driver
version: 0.4
Oct 20 16:16:00 odin kernel: ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23
(level, low) -> IRQ 217
Oct 20 16:16:00 odin kernel: ehci_hcd 0000:00:1d.7: EHCI Host Controller
Oct 20 16:16:00 odin kernel: ehci_hcd 0000:00:1d.7: new USB bus registered,
assigned bus number 1
Oct 20 16:16:00 odin kernel: ehci_hcd 0000:00:1d.7: irq 217, io mem 0xd8204000
Oct 20 16:16:00 odin kernel: ehci_hcd 0000:00:1d.7: USB 2.0 initialized, EHCI
1.00, driver 10 Dec 2004
Oct 20 16:16:00 odin kernel: hub 1-0:1.0: USB hub found
Oct 20 16:16:00 odin kernel: hub 1-0:1.0: 8 ports detected
Oct 20 16:16:00 odin kernel: USB Universal Host Controller Interface driver v2.3
Oct 20 16:16:00 odin kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23
(level, low) -> IRQ 217
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.0: UHCI Host Controller
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.0: new USB bus registered,
assigned bus number 2
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.0: irq 217, io base 0x0000e300
Oct 20 16:16:00 odin kernel: hub 2-0:1.0: USB hub found
Oct 20 16:16:00 odin kernel: hub 2-0:1.0: 2 ports detected
Oct 20 16:16:00 odin kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19
(level, low) -> IRQ 209
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.1: UHCI Host Controller
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.1: new USB bus registered,
assigned bus number 3
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.1: irq 209, io base 0x0000e000
Oct 20 16:16:00 odin kernel: hub 3-0:1.0: USB hub found
Oct 20 16:16:00 odin kernel: hub 3-0:1.0: 2 ports detected
Oct 20 16:16:00 odin kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18
(level, low) -> IRQ 201
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.2: UHCI Host Controller
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.2: new USB bus registered,
assigned bus number 4
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.2: irq 201, io base 0x0000e100
Oct 20 16:16:00 odin kernel: hub 4-0:1.0: USB hub found
Oct 20 16:16:00 odin kernel: hub 4-0:1.0: 2 ports detected
Oct 20 16:16:00 odin kernel: ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16
(level, low) -> IRQ 169
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.3: UHCI Host Controller
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.3: new USB bus registered,
assigned bus number 5
Oct 20 16:16:00 odin kernel: uhci_hcd 0000:00:1d.3: irq 169, io base 0x0000e200
Oct 20 16:16:00 odin kernel: hub 5-0:1.0: USB hub found
Oct 20 16:16:00 odin kernel: hub 5-0:1.0: 2 ports detected
Oct 20 16:16:00 odin kernel: ohci1394: $Rev: 1299 $ Ben Collins
<bcollins@debian.org>
Oct 20 16:16:00 odin kernel: ACPI: PCI Interrupt 0000:03:0a.0[A] -> GSI 18
(level, low) -> IRQ 201
Oct 20 16:16:00 odin kernel: PCI: Via IRQ fixup for 0000:03:0a.0, from 5 to 9
Oct 20 16:16:00 odin kernel: ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[201]
 MMIO=[d8100000-d81007ff]  Max Packet=[2048]
Oct 20 16:16:00 odin kernel: usb 1-1: new high speed USB device using ehci_hcd
and address 2
Oct 20 16:16:00 odin kernel: usb 1-1: device descriptor read/64, error -71
Oct 20 16:16:00 odin kernel: usb 1-1: device descriptor read/64, error -71
Oct 20 16:16:00 odin kernel: usb 1-1: new high speed USB device using ehci_hcd
and address 3
Oct 20 16:16:00 odin kernel: usb 1-1: device descriptor read/64, error -71
Oct 20 16:16:00 odin kernel: usb 1-1: device descriptor read/64, error -71
Oct 20 16:16:00 odin kernel: usb 1-1: new high speed USB device using ehci_hcd
and address 4
Oct 20 16:16:00 odin kernel: NET: Registered protocol family 10
Oct 20 16:16:00 odin kernel: Disabled Privacy Extensions on device
ffffffff804434e0(lo)
Oct 20 16:16:00 odin kernel: IPv6 over IPv4 tunneling driver
Oct 20 16:16:00 odin kernel: usb 1-1: device not accepting address 4, error -71
Oct 20 16:16:00 odin kernel: usb 1-1: new high speed USB device using ehci_hcd
and address 5
Oct 20 16:16:00 odin kernel: usb 1-1: device not accepting address 5, error -71
Oct 20 16:16:00 odin kernel: ACPI: Power Button (FF) [PWRF]
Oct 20 16:16:00 odin kernel: ACPI: Power Button (CM) [PWRB]
Oct 20 16:16:00 odin kernel: ibm_acpi: ec object not found
Oct 20 16:16:00 odin kernel: md: Autodetecting RAID arrays.
Oct 20 16:16:00 odin kernel: md: autorun ...
Oct 20 16:16:00 odin kernel: md: ... autorun DONE.
Oct 20 16:16:00 odin kernel: device-mapper: 4.4.0-ioctl (2005-01-12)
initialised: dm-devel@redhat.com
Oct 20 16:16:00 odin kernel: cdrom: open failed.
Oct 20 16:16:00 odin kernel: cdrom: open failed.
Oct 20 16:16:00 odin kernel: EXT3 FS on sda5, internal journal
Oct 20 16:16:00 odin kernel: kjournald starting.  Commit interval 5 seconds
Oct 20 16:16:00 odin kernel: EXT3 FS on sda3, internal journal
Oct 20 16:16:00 odin kernel: EXT3-fs: mounted filesystem with ordered data mode.
Oct 20 16:16:00 odin kernel: kjournald starting.  Commit interval 5 seconds
Oct 20 16:16:00 odin kernel: EXT3 FS on sda7, internal journal
Oct 20 16:16:00 odin kernel: EXT3-fs: mounted filesystem with ordered data mode.
Oct 20 16:16:00 odin kernel: Adding 2096440k swap on /dev/sda6.  Priority:-1
extents:1
Oct 20 16:16:00 odin kernel: acpi-cpufreq: CPU0 - ACPI performance management
activated.
Oct 20 16:16:00 odin kernel:     ACPI-0304: *** Error: Looking up [_PPC] in
namespace, AE_ALREADY_EXISTS
Oct 20 16:16:00 odin kernel:     ACPI-1172: *** Error: Method execution failed
[\_PR_.CPU1._PDC] (Node ffff81003ffc8400), AE_ALREADY_EXISTS
Oct 20 16:16:01 odin kernel: acpi-cpufreq: CPU1 - ACPI performance management
activated.
Oct 20 16:16:01 odin kernel: general protection fault: 0000 [1] SMP 
Oct 20 16:16:01 odin kernel: CPU 0 
Oct 20 16:16:01 odin kernel: Modules linked in: acpi_cpufreq dm_mod video button
battery ac ipv6 ohci1394 ieee1394 uhci_hcd ehci_hcd shpchp i2c_i801 i2c_core
snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc tg3 floppy ext3 jbd ata_piix libata sd_mod scsi_mod
Oct 20 16:16:01 odin kernel: Pid: 1700, comm: modprobe Not tainted
2.6.13-1.1532_FC4smp
Oct 20 16:16:01 odin kernel: RIP: 0010:[<ffffffff80162aa5>]
<ffffffff80162aa5>{__free_pages+0}
Oct 20 16:16:01 odin kernel: RSP: 0018:ffff81003edc7d10  EFLAGS: 00010246
Oct 20 16:16:01 odin kernel: RAX: ffff81003d7ec680 RBX: 0000000000000000 RCX:
000000003e9ac000
Oct 20 16:16:01 odin kernel: RDX: 0000000000000000 RSI: 0000000000000000 RDI:
afe89ad2685b220d
Oct 20 16:16:01 odin kernel: RBP: ffff81003d628e80 R08: 0000000000000004 R09:
0000000000000000
Oct 20 16:16:01 odin kernel: R10: 0000000000000000 R11: 0000000000000048 R12:
0000000000000001
Oct 20 16:16:01 odin kernel: R13: ffffc2001019a000 R14: ffffc200101ac370 R15:
ffff81003b3017f0
Oct 20 16:16:01 odin kernel: FS:  00002aaaaaad73c0(0000)
GS:ffffffff80502800(0000) knlGS:0000000000000000
Oct 20 16:16:01 odin kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Oct 20 16:16:01 odin kernel: CR2: 00002aaaaaabf00f CR3: 000000003e9ac000 CR4:
00000000000006e0
Oct 20 16:16:01 odin kernel: Process modprobe (pid: 1700, threadinfo
ffff81003edc6000, task ffff81003fcb4740)
Oct 20 16:16:01 odin kernel: Stack: ffffffff80175a3a ffff81003b3017a0
ffff81003b301000 ffffffff88290b80 
Oct 20 16:16:01 odin kernel:        ffffffff80151378 0000000000000000
ffff81003edc7de8 ffffffff88290bd0 
Oct 20 16:16:01 odin kernel:        ffffffff88290b98 0000000000000001 
Oct 20 16:16:01 odin kernel: Call Trace:<ffffffff80175a3a>{__vunmap+185}
<ffffffff80151378>{load_module+5543}
Oct 20 16:16:01 odin kernel:        <ffffffff8015f2f7>{generic_file_aio_read+50}
<ffffffff801803b6>{do_sync_read+208}
Oct 20 16:16:01 odin kernel:        <ffffffff801729fa>{do_mmap_pgoff+1649}
<ffffffff8014a390>{autoremove_wake_function+0}
Oct 20 16:16:01 odin kernel:        <ffffffff80151652>{sys_init_module+136}
<ffffffff8010d99e>{system_call+126}
Oct 20 16:16:01 odin kernel:        
Oct 20 16:16:01 odin kernel: 
Oct 20 16:16:01 odin kernel: Code: 8b 07 89 c0 f6 c4 04 75 47 8b 07 89 c0 f6 c4
40 75 05 48 89 
Oct 20 16:16:01 odin kernel: RIP <ffffffff80162aa5>{__free_pages+0} RSP
<ffff81003edc7d10>
Oct 20 16:16:01 odin kernel:  <3>Debug: sleeping function called from invalid
context at include/linux/rwsem.h:43
Oct 20 16:16:01 odin kernel: in_atomic():0, irqs_disabled():1
Oct 20 16:16:01 odin kernel: 
Oct 20 16:16:01 odin kernel: Call Trace:<ffffffff80136667>{profile_task_exit+21}
<ffffffff80137862>{do_exit+34}
Oct 20 16:16:01 odin kernel:        <ffffffff80252864>{do_unblank_screen+142}
<ffffffff8010f4a5>{default_do_nmi+0}
Oct 20 16:16:01 odin kernel:       
<ffffffff8010f8f5>{do_general_protection+257} <ffffffff8010e4bd>{error_exit+0}
Oct 20 16:16:01 odin kernel:        <ffffffff80162aa5>{__free_pages+0}
<ffffffff80175a3a>{__vunmap+185}
Oct 20 16:16:01 odin kernel:        <ffffffff80151378>{load_module+5543}
<ffffffff8015f2f7>{generic_file_aio_read+50}
Oct 20 16:16:01 odin kernel:        <ffffffff801803b6>{do_sync_read+208}
<ffffffff801729fa>{do_mmap_pgoff+1649}
Oct 20 16:16:01 odin kernel:       
<ffffffff8014a390>{autoremove_wake_function+0}
<ffffffff80151652>{sys_init_module+136}
Oct 20 16:16:01 odin kernel:        <ffffffff8010d99e>{system_call+126} 
Oct 20 16:16:01 odin kernel: tg3: eth0: Link is up at 100 Mbps, full duplex.
Oct 20 16:16:01 odin kernel: tg3: eth0: Flow control is on for TX and on for RX.
Comment 4 Dave Jones 2005-11-10 14:46:32 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Peter Barker 2005-11-10 22:13:58 EST
Kernel 2.6.14-1.1637_FC4smp boots and runs OK on Dell Inspiron 5150. Still has errors 
about SMIX and GETC in log, but does not cause any visible problems
Comment 6 Dave Jones 2005-11-11 01:17:51 EST
ok. I'll close this, as those errors seem to be mostly cosmetic.

thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.